#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IO
%define		pnam	AIO
%define		dist_ver	4.6
Summary:	IO::AIO - Perl Asynchronous Input/Output
Summary(pl.UTF-8):	IO::AIO - asynchroniczne wejście/wyjście w Perlu
Name:		perl-IO-AIO
Version:	4.60
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{dist_ver}.tar.gz
# Source0-md5:	220bc386b359998a0e4b34455c4f215e
Patch0:		%{pdir}-%{pnam}-path.patch
Patch1:		%{pdir}-%{pnam}-version.patch
URL:		http://search.cpan.org/dist/IO-AIO/
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements asynchronous I/O using whatever means your
operating system supports.

%description -l pl.UTF-8
Ten moduł implementuje asynchroniczne we/wy przy użyciu dowolnych
metod obsługiwanych przez system operacyjny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{dist_ver}
%patch0 -p1
%patch1 -p1

%build
PERL_CANARY_STABILITY_NOPROMPT=1 \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/treescan
%{perl_vendorarch}/IO/AIO.pm
%dir %{perl_vendorarch}/auto/IO/AIO
%attr(755,root,root) %{perl_vendorarch}/auto/IO/AIO/AIO.so
%{_mandir}/man3/IO::AIO.3pm*
%{_mandir}/man1/treescan.1p*
%changelog
* Mon Sep 03 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-AIO.git;a=log;h=master

* Fri Aug 31 2018 Marcin Krol <hawk@tld-linux.org> f2ea0ca
- same mistake again, fix version patch

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> a08cd9b
- updated to 4.60 (4.6)

* Sun Mar 11 2018 Marcin Krol <hawk@tld-linux.org> d60a684
- fix version patch

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> b0cf162
- revert epoch, instead do what other distros do - package as version 4.40
- fix perl path in treescan

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> f78e791
- updated to 4.4 (yes, its newer than 4.34), epoch 1

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6566eb5
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 691d277
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Tue May 23 2017 Jakub Bogusz <qboosh@pld-linux.org> dc65837
- avoid Canary::Stability interactivity

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> b9fd9f6
- Up to 4.34

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 52b84ba
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bfcc32a
- release 3 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 837261d
- x32 rebuild
- release 2 (by relup.sh)

* Mon Sep 22 2014 Łukasz Kieś <kiesiu@pld-linux.org> 10da29d
- updated to 4.31

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> 35d0d36
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 88e6194
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 5f4c1a8
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Thu Jun 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 8295659
- updated to 4.18

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> 872bc4a
- rebuild with perl 5.18.0
- release 2 (by relup.sh)

* Sun May 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2f014c2
- updated to 4.15

* Wed Mar 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 4284728
- updated to 3.71

